Author: Daniel Lenski <dlenski@gmail.com>
Origin: upstream, https://gitlab.com/openconnect/openconnect/-/commit/87eb4e0b7b27149089adde51e4f3a9d5c8bbd8ec
Description: cstp: don't send X-AnyConnect-Platform header
 1. Cisco AnyConnect 4.8+ no longer sends it, and some newer servers reject
   any client which sends it (see #101)… including older versions of Cisco's
   own client. (Great job, Cisco 🤦🏻‍♂️.)
 2. We can't find any evidence of older Cisco servers which *do* require this
   header to be present in order to authenticate the client.
 3. It's redundant. Any server that wants to know the client's platform as
   soon as it receives the initial XML POST already has it. (It's in the
   <device-id> tag in addition to the header.)
--- a/cstp.c
+++ b/cstp.c
@@ -1234,11 +1234,8 @@
 	buf_append(buf, "Accept: */*\r\n");
 	buf_append(buf, "Accept-Encoding: identity\r\n");
 	buf_append(buf, "X-Transcend-Version: 1\r\n");
-	if (vpninfo->xmlpost) {
+	if (vpninfo->xmlpost)
 		buf_append(buf, "X-Aggregate-Auth: 1\r\n");
-		buf_append(buf, "X-AnyConnect-Platform: %s\r\n",
-			   vpninfo->platname);
-	}
 	if (vpninfo->try_http_auth)
 		buf_append(buf, "X-Support-HTTP-Auth: true\r\n");
 
